Bug 801849 - [eap6] allow to setup JVM attributes for server groups
Summary: [eap6] allow to setup JVM attributes for server groups
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent   
(Show other bugs)
Version: 4.3
Hardware: Unspecified Unspecified
high
unspecified vote
Target Milestone: ---
: RHQ 4.4.0
Assignee: Heiko W. Rupp
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: as7-plugin
TreeView+ depends on / blocked
 
Reported: 2012-03-09 16:26 UTC by Libor Zoubek
Modified: 2015-11-02 00:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 10:12:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 801800 None None None Never

Description Libor Zoubek 2012-03-09 16:26:20 UTC
Description of problem:EAP6 ER1 allows to define 1 or more JVMs within a serer group. Each JVM has several properties

/server-group=main-server-group/jvm=default:read-resource
{
    "outcome" => "success",
    "result" => {
        "agent-lib" => undefined,
        "agent-path" => undefined,
        "env-classpath-ignored" => undefined,
        "environment-variables" => undefined,
        "heap-size" => "1303m",
        "java-agent" => undefined,
        "java-home" => undefined,
        "jvm-options" => undefined,
        "max-heap-size" => "1303m",
        "max-permgen-size" => "256m",
        "permgen-size" => undefined,
        "stack-size" => undefined,
        "type" => undefined
    }
}


Steps to Reproduce:
1.inventory EAP6 in domain mode
2.navigate to 'main-server-group' confguration
3.setup JVM parameters
  
Actual results: Currently we support putting "something" into 1 text field. There is no way to setup more than 1 JVM for server group and there is no way (or is not documented) how to setup for example heap-size for that JVM


Expected results: I am not sure the purpose of having more than 1 JVMs in one server group, but user should be at least able to edit JVM properties.


Additional info:

Comment 1 Mike Foley 2012-03-12 15:33:19 UTC
per 3/12/2012 bz triage (loleary, crouch, foley)

Comment 2 Heiko W. Rupp 2012-04-13 12:02:10 UTC
master 33ffb66

Comment 3 Heiko W. Rupp 2013-08-31 10:12:35 UTC
Bulk close of old bugs in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.